/* 系列产品样式 */
.main-container {
    width: 100% !important;
    height: auto;
    position: relative;
    margin-bottom: 0;
}

.block {
    box-sizing: border-box;
    width: 100%;
    height: 98vh;
    box-sizing: border-box;
    overflow: hidden;
}

#laserSheet,
#nestCAM {
    background: url('/pt/images/product/bg-light.jpg') no-repeat center center;
    background-size: cover;
}

#laserTube,
#flowEdge {
    background: url('/pt/images/product/bg-dark.jpg') no-repeat center center;
    background-size: cover;
}

.block .layer-container {
    width: 88%;
    height: 100vh;
    margin: 0 auto;
    box-sizing: border-box;
}

.block .layer-container .info {
    width: 100%;
    height: calc(100vh - 5rem);
    color: #251816;
    padding-top: 8rem;
}

.block .layer-container .info>.title {
    /* font-family: "sourcehansans"; */
    font-size: 2.8125rem;
    margin-top: 1.3rem;
    font-weight: 600;
    line-height: 1;
}

.block .layer-container .info>.sub-title {
    /* font-family: "sourcehansans"; */
    font-size: 2rem;
    margin-top: 1.3rem;
    font-weight: 600;
    line-height: 1;
}

.block .layer-container .info .product-box {
    display: flex;
    flex-wrap: wrap;
    gap: 0.725rem;
    margin-top: 2.5rem;
}

.block .layer-container .info .product-box .item {
    width: 15rem;
    height: 4.3rem;
    color: var(--color-primary-11);
    border: 1px solid #c6c6c6;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
    padding-left: 1rem;
    border-radius: 0.3125rem;
    font-size: 0.9rem;
    line-height: 1.3;
}

.block .layer-container .info .product-box .item .title {
    font-weight: 600;
    font-size: 1.1rem;
}

.block .layer-container .info .product-box .item:hover {
    color: #ffffff;
    border: var(--brand-color);
    background: var(--brand-color);
    cursor: pointer;
    transition: all 0.3s;
}

.block .layer-container .info .product-box .item.active {
    color: #ffffff;
    border-color: var(--brand-color);
    cursor: pointer;
    background: var(--brand-color);
}

.block .layer-container .info .detail {
    margin-top: 4rem;
    height: 60%;
    display: flex;
}

.block .layer-container .info .detail .content {
    width: 50%;
    height: 100%;
    padding-right: 3rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

.block .layer-container .info .detail .content>.t1 {
    color: var(--brand-color);
    font-size: 1.3rem;
    font-weight: 550;
    line-height: 1.4em;
    display: block;
}

.block .layer-container .info .detail .content>.t2 {
    display: block;
    color: #303030;
    font-size: 2rem;
    font-weight: 550;
    line-height: 1.4em;
}

.block .layer-container .info .detail .content>.desc {
    color: var(--color-primary-9);
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.65em;
    margin: 1.125rem 0 1.5rem;
    letter-spacing: 0.1em;
}

.block .layer-container .info .detail .picture {
    width: 50%;
    height: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.block .layer-container .info .detail .picture img {
    height: 100%;
    width: auto;
    object-fit: cover;
    display: block;
}

.block .layer-container .info .detail .picture img:hover {
    transform: scale(1.05);
    transition: all 0.5s;
}

.block .layer-container .info .detail .magic-btn {
    border: 1px solid var(--brand-color);
    color: var(--brand-color);
}


/* 悬浮动画层 */

.block .layer-container .info .detail .magic-btn::before {
    background: var(--brand-color);
}

.block .layer-container .info .detail .magic-btn:hover .magic-btn-content {
    color: var(--color-white);
}


/* 深色背景下的 block */

.block-dark .layer-container .info>.sub-title {
    color: var(--color-primary-1);
}

.block-dark .layer-container .info>.title {
    color: var(--color-primary-1);
}

.block-dark .layer-container .info .product-box .item {
    color: var(--color-primary-1);
    border: 1px solid var(--color-primary-9);
}

.block-dark .layer-container .info .detail .content>.t2 {
    color: var(--color-primary-1);
}

.block-dark .layer-container .info .detail .content>.desc {
    color: var(--color-primary-3);
    font: 400 1rem / 1.65em "sourcehansans";
    margin: 1.125rem 0 1.5rem;
    letter-spacing: 0.1em;
}


/* 移动端设备 */
@media screen and (max-width: 768px) {
    .block {
        height: 95vh !important;
    }

    .block .layer-container .info {
        width: 100%;
        height: auto !important;
        margin: 0 !important;
        color: #251816;
        padding-top: 4rem !important;
    }

    .block .layer-container .info>.sub-title {
        font: 600 1.3rem / 1.35em;
    }
    .block .layer-container .info>.title {
        font-size: 2rem;
    }
    .block .layer-container .info>.title.single {
        line-height: 1.5em;
    }
    .block .layer-container .info .product-box .item {
        width: 48%;
        padding-left: 0.5rem;
        height: 3.8rem;
    }
    .block .layer-container .info .product-box .item .title {
        font-size: 1rem;
        font-weight: 800;
    }
    .block .layer-container .info .product-box .item .desc {
        font-size: 0.75rem;
        font-weight: 500;
    }
    .main-container {
        width: 100%;
        overflow: hidden;
    }
}